Subject: Fw: Invoice 1816294
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Mon, 10 Feb 2014 14:39:17 -0500

Please check on this for me.
Thank you,
Michael B
LLPS

From: Ellen Gonsalves 
Sent: Monday, February 10, 2014 2:22 PM
To: Labor Law Poster Service 
Subject: Re: Invoice 1816294

If OK, I'll go ahead and send you a check.  It is a debit card, that may make a difference as it doesn't got to a credit visa card if the debit doesn't work.  Let me know if that is OK and I'll send you the check today.  So sorry.

On Mon, Feb 10, 2014 at 10:46 AM, Labor Law Poster Service <[email-masked]> wrote:

  Hi Ellen, I received your faxed order form for the labor law posters but the visa number on the form is coming up "invalid number" which means I'm probably reading one of the numbers wrong. It looks very clear on the form but for whatever reason is not working. I called and spoke with a gentleman who gave me your email address. I processed your order anyway and can just send you an invoice. If you need it to go on the card, could you call me at 877-321-4144?  Thank You!

                  -------------------------
                  Thank you for your order. Your invoice is attached.

                  This is an automatically generated message from Labor Law Poster Service.
                  UID: 6 

-- 

Celebrating 60 Years of Service!  Thank you for being part of our success.

Ellen Gonsalves
Gonsel's Machine Shop
8710 G Street, Oakland, CA 94621
(P) 510-569-8086, (F) 510-569-0433
(E) [email-masked]
(C) 510-393-7994